Licenses
Create license
Developer API operation for POST /dev/v1/licenses.
POST
/
dev
/
v1
/
licenses
Create license
curl --request POST \
--url https://api.shoppex.io/dev/v1/licenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "prod_1",
"invoice_id": "inv_1",
"license_key": "XYZ-789"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_id: 'prod_1', invoice_id: 'inv_1', license_key: 'XYZ-789'})
};
fetch('https://api.shoppex.io/dev/v1/licenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/licenses"
payload = {
"product_id": "prod_1",
"invoice_id": "inv_1",
"license_key": "XYZ-789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/licenses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'product_id' => 'prod_1',
'invoice_id' => 'inv_1',
'license_key' => 'XYZ-789'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/licenses"
payload := strings.NewReader("{\n \"product_id\": \"prod_1\",\n \"invoice_id\": \"inv_1\",\n \"license_key\": \"XYZ-789\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"productLicense": {
"uniqid": "lic_2",
"product_id": "prod_1",
"license_key": "XYZ-789"
}
}
}Previous
Get license productDeveloper API operation for GET /dev/v1/licenses/products/{product_id}.
Next
⌘I
Create license
